bitel.billing.server.admin.bean

## Class ContractParameterPrefManager

- java.lang.Object
- - bitel.billing.server.admin.bean.ContractParameterPrefManager

-     public class ContractParameterPrefManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected DefaultServerSetup` | `setup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractParameterPrefManager(java.sql.Connection connection)`
    `ContractParameterPrefManager(java.sql.Connection connection, DefaultServerSetup setup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteContractParameterPref(int id)` Удаляет настройки параметра договора (т.е. справочник "договоры-параметры").
    `ContractParameterPref` | `getContractParameterPref(int id)` Возвращает настройки параметра договора по его коду
    `java.util.List<ContractParameterPref>` | `getContractParameterPrefList(int type)` Возвращает список настроек параметров договоров определенного типа
    `java.util.List<ContractParameterPref>` | `getParameterList(java.util.Set<java.lang.Integer> ids)`
    `java.util.List<IdTitle>` | `getParamList(int paramTypeId)`
    `java.util.Map<java.lang.Integer,java.util.List<IdTitle>>` | `getParamMapByType()`
    `java.util.Map<java.lang.Integer,java.lang.Integer>` | `getParamTypeMap()` Возвращает Map(код, тип)
    `void` | `moveParam(int id, int where)` сдвиг параметра 1 - вниз, 2 - вверх
    `void` | `updateContractParameterPref(ContractParameterPref pref)` Обновляет настройки параметра договора

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### con

          protected java.sql.Connection con

    - #### setup

          protected DefaultServerSetup setup

  - ### Constructor Detail

    - #### ContractParameterPrefManager

          public ContractParameterPrefManager(java.sql.Connection connection)

    - #### ContractParameterPrefManager

          public ContractParameterPrefManager(java.sql.Connection connection,
                                              DefaultServerSetup setup)

  - ### Method Detail

    - #### getContractParameterPrefList

          public java.util.List<ContractParameterPref> getContractParameterPrefList(int type)

      Возвращает список настроек параметров договоров определенного типа
      Parameters:
        `type` - тип параметров договоров
      Returns:

    - #### getContractParameterPref

          public ContractParameterPref getContractParameterPref(int id)

      Возвращает настройки параметра договора по его коду
      Parameters:
        `id` - код параметра
      Returns:

    - #### updateContractParameterPref

          public void updateContractParameterPref(ContractParameterPref pref)

      Обновляет настройки параметра договора
      Parameters:
        `pref` - настройки параметра

    - #### deleteContractParameterPref

          public void deleteContractParameterPref(int id)
                                           throws ru.bitel.bgbilling.common.BGException

      Удаляет настройки параметра договора (т.е. справочник "договоры-параметры").
      Parameters:
        `id` - код параметра.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getParameterList

          public java.util.List<ContractParameterPref> getParameterList(java.util.Set<java.lang.Integer> ids)
                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moveParam

          public void moveParam(int id,
                                int where)
                         throws ru.bitel.bgbilling.common.BGException

      сдвиг параметра 1 - вниз, 2 - вверх
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getParamList

          public java.util.List<IdTitle> getParamList(int paramTypeId)
                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getParamMapByType

          public java.util.Map<java.lang.Integer,java.util.List<IdTitle>> getParamMapByType()
                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getParamTypeMap

          public java.util.Map<java.lang.Integer,java.lang.Integer> getParamTypeMap()
                                                                             throws ru.bitel.bgbilling.common.BGException

      Возвращает Map(код, тип)
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`